<script type="text/javascript">	
$(document).ready(function(){
	cari_tgl();

	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#t_tgl_awal").val(data.tanggal);
				$("#t_tgl_akhir").val(data.tanggal);
			}
		});
	}
	
	$('#form_cari_dokter').dialog({
		autoOpen: false,
		modal	: true,
		width: 800,
	});
		
	$('#t_namadt').keyup(function(){
		$('#form_cari_dokter').dialog('open');
		$("#info_dokter").load('kasir/penjualan/tampil_data_dokter.php');
		$("#txt_caridt").focus();
	});
	
	$("#txt_caridt").keyup(function(){
		$("#info_dokter").show();
		var cari= $("#txt_caridt").val();
		
		$.ajax({
			type	: "POST",
			url		: "kasir/penjualan/tampil_data_dokter.php",
			data	: "cari="+cari,
			success	: function(data){
				$("#info_dokter").html(data);
			}
		});
	});
	
	$('#form_cari_kasir').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});

    $('#kasir').keyup(function(){
	    var kodecab=$("#txt_kodecab").val();
	    var cari   =$("#txt_carikasir").val();
	    
		$('#form_cari_kasir').dialog('open');
		$("#info_kasir").load('modul/report/tampil_data_kasir.php?kodecab='+kodecab+'&cari='+cari);
		$("#txt_carikasir").focus();
	});
	
	$('#kasir').click(function(){
	    var kodecab=$("#txt_kodecab").val();
	    var cari   =$("#txt_carikasir").val();
	    
		$('#form_cari_kasir').dialog('open');
		$("#info_kasir").load('modul/report/tampil_data_kasir.php?kodecab='+kodecab+'&cari='+cari);
		$("#txt_carikasir").focus();
	});
	
	$("#txt_carikasir").keyup(function(){
	    var kodecab =$("#txt_kodecab").val();
		var cari    = $("#txt_carikasir").val();
		
		$.ajax({
			type	: "GET",
			url	    : "modul/report/tampil_data_kasir.php",
			data	: "cari="+cari+
			        "&kodecab="+kodecab,
			success	: function(data){
				$("#info_kasir").html(data);
			}
		});
	});
	
	$("#cari").click(function(){
		var tgl_awal = $("#t_tgl_awal").val();
		var tgl_akhir= $("#t_tgl_akhir").val();
		var cabang 	 = $("#txt_kodecab").val();
		var kasir 	 = $("#kasir").val();
		var jamawal  = $("#t_jamawal").val();
		var jamakhir = $("#t_jamakhir").val();
		var caraby	 = $("#cara_by").val();
		var caribrg	 = $("#t_caribrg").val();
		var kodedt 	 = $("#t_kodedt").val();

		if(!(jamakhir=='')){
		    if(jamawal==''){
		        alert('Maaf, jam akhir masih kosong.');
		        $("#t_jamakhir").focus();
		        return(false);
		    }
		    else{
		        if(!(tgl_akhir==tgl_awal)){
		            alert('Maaf, untuk pencarian dengan jam tertentu, jam awal harus sama dengan jam akhir.');
		            $("#t_tgl_akhir").val();
		            return(false);
		        }
		    }
		}
		
		$("#data_pj").show();
		$("#data_pj").load('modul/report/tampil_data_pj.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&kasir='+kasir+'&jamawal='+jamawal+'&jamakhir='+jamakhir+'&caraby='+caraby+'&caribrg='+caribrg+'&cabang='+cabang+'&kodedt='+kodedt);
	});
	
	$("#refresh").click(function(){
		window.location.reload();		
	});
	
	$("#cetak").click(function(){
		var tgl_awal 	= $("#t_tgl_awal").val();
		var tgl_akhir 	= $("#t_tgl_akhir").val();
		var kasir 		= $("#kasir").val();
		var cabang 	    = $("#txt_kodecab").val();
		var caraby		= $("#cara_by").val();
		var caribrg	 	= $("#t_caribrg").val();
		var kodedt      = $("#t_kodedt").val();
		var namadt      = $("#t_namadt").val();
		
		if(!(jamawal=='')){
		    if(jamakhir==''){
		        alert('Maaf, jam akhir masih kosong.');
		        $("#t_jamakhir").focus();
		        return(false);
		    }
		    else{
		        if(!(tgl_akhir==tgl_awal)){
		            alert('Maaf, untuk pencarian dengan jam tertentu, jam awal harus sama dengan jam akhir.');
		            $("#t_tgl_akhir").val();
		            return(false);
		        }
		    }
		}
		
		window.location.href='modul/laporan/daftar_pjl.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&kasir='+kasir+'&caraby='+caraby+'&caribrg='+caribrg+'&cabang='+cabang+'&kodedt='+kodedt+'&namadt='+namadt;
	});
	
	$("#tutup").click(function(){
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
include '../../inc/inc.koneksi.php';
	
echo "<div span='12' style='background-color:white'>";
echo "<div id='form' align='center'><h3>DAFTAR PENJUALAN BARANG DAGANGAN<h3></div>";
echo "<div id='filter' align='left'>
	<fieldset>
		<legend>Filter Data </legend>
		<table width='100%'>
			<tr>
				<td>Tanggal : <input type='date' name='t_tgl_awal' id='t_tgl_awal' size='10'> S.D <input type='date' name='t_tgl_akhir' id='t_tgl_akhir' size='10'></td>
				<td>Cabang : <select id='txt_kodecab'>";
				        $sql=mysql_query("SELECT * FROM cabang WHERE 1 ORDER BY kode_cab");
				        while($r=mysql_fetch_array($sql)){
				            $kodecab=$r['kode_cab'];
        				    echo "<option value='$kodecab'>$r[nama_cab]</option>";
		        		}
			        echo "</select>
		        </td>
				<td style='font-size:14px'>Kasir : <input type id='kasir' class='input_header' size='20'></td>
				<td align='right'>Jam Layanan : <input type='time' id='t_jamawal' size='10'> S.D <input type='time' id='t_jamakhir' size='10'></td>
			</tr>
		</table>
		<table width='100%'>
			<tr>
			    <input type='text' id='t_kodedt' size='20' hidden/>
			    <td>Dokter : <input type='text' id='t_namadt' size='20'></td>
			    <td>Pembayaran : <select id='cara_by'>
					    <option></option>
					    <option>TUNAI</option>
					    <option>EDC</option>
					    <option>QRIS</option>
					    <option>GRAB</option>
					</select>
				</td>
				<td align='center'>Nama/Kode Barang : <input type='text' id='t_caribrg' size='30'></td>
				<td align='right'>
					<button name='cari' id='cari'>Cari</button>
					<button name='cetak' id='cetak'>Cetak</button>
					<button name='refresh' id='refresh'>Refresh</button>					
					<button name='tutup' id='tutup'>Tutup</button>
				</td>
			</tr>
		</table>
	</fieldset>
	</div><br>";
	
echo "<div id='data_pj' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>";

echo "<div id='form_cari_dokter' title='Pencarian Data Dokter'>
		<table width='100%'>
			<tr>
				<td>Cari nama : <input type='text' id='txt_caridt' size='30'></td>
			</tr>
		</table>
		<div id='info_dokter' align='center'></div>
	</div>";
	
echo "</div>";

echo "<div id='form_cari_kasir' title='Pencarian Data Kasir'>
		<table>
			<tr>
				<td>Cari nama : <input type='text' id='txt_carikasir' size='40'></td>
			</tr>
		</table>
		<div id='info_kasir' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
	</div>";
?>